Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageToImageFilter Class Reference

`#include <vtkImageToImageFilter.h>`

Inheritance diagram for vtkImageToImageFilter:

[legend]
Collaboration diagram for vtkImageToImageFilter:

[legend]
List of all members.

## Detailed Description

Generic filter that has one input..

Date:
  2002/10/28 19:01:27

Revision:
  1.39

vtkImageToImageFilter is a filter superclass that hides much of the pipeline complexity. It handles breaking the pipeline execution into smaller extents so that the vtkImageData limits are observed. It also provides support for multithreading. If you don't need any of this functionality, consider using vtkSimpleImageToImageFilter instead.

See also:
  vtkSimpleImageToImageFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (73%)
  - Martin, Ken (6%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkImageToImageFilter.h)`
  - .`cxx` (`/Filtering/vtkImageToImageFilter.cxx)`

Examples:
  vtkImageToImageFilter (Examples)

Definition at line 53 of file vtkImageToImageFilter.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInputMemoryLimit (int)
long | GetInputMemoryLimit ()
virtual void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
void | SetBypass (int)
void | BypassOn ()
void | BypassOff ()
virtual int | GetBypass ()
virtual void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int threadId)
virtual void | SetNumberOfThreads (int)
virtual int | GetNumberOfThreads ()
virtual int | SplitExtent (int splitExt[6], int startExt[6], int num, int total)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageToImageFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageToImageFilter ()
| ~vtkImageToImageFilter ()
void | ExecuteInformation ()
virtual void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteData (vtkDataObject *output)
virtual vtkImageData * | AllocateOutputData (vtkDataObject *out)
void | MultiThread (vtkImageData *input, vtkImageData *output)
void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
virtual void | SetInputScalarsSelection (const char *)
## Protected Attributes
vtkMultiThreader * | Threader
int | Bypass
int | BypassWasOn
int | NumberOfThreads
char * | InputScalarsSelection

## Member Typedef Documentation

typedef vtkImageSource vtkImageToImageFilter::Superclass

| Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToRGBA, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkImageWrapPad, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface. Definition at line 56 of file vtkImageToImageFilter.h.

## Constructor & Destructor Documentation

vtkImageToImageFilter::vtkImageToImageFilter | ( |  | ) | `[protected]`

vtkImageToImageFilter::~vtkImageToImageFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageToImageFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToRGBA, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkImageWrapPad, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface.

int vtkImageToImageFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToRGBA, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkImageWrapPad, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface.

virtual int vtkImageToImageFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToRGBA, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkImageWrapPad, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface.

vtkImageToImageFilter* vtkImageToImageFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageFourierCenter, vtkImageFourierFilter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToRGBA, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkImageWrapPad, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface.

void vtkImageToImageFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource. Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCacheFilter, vtkImageCast, vtkImageChangeInformation, vtkImageClip, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageCursor3D, vtkImageDataStreamer, vtkImageDecomposeFilter, vtkImageDilateErode3D, vtkImageEuclideanDistance, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFlip, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageMagnify, vtkImageMapToColors, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageOpenClose3D, vtkImagePadFilter, vtkImagePermute, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRGBToHSV, vtkImageSeedConnectivity, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, vtkMemoryLimitImageDataStreamer, and vtkSweptSurface.

virtual void vtkImageToImageFilter::SetInput | ( | vtkImageData * | input | ) | `[virtual]`

| Set the Input of a filter. Reimplemented in vtkImageOpenClose3D.

vtkImageData* vtkImageToImageFilter::GetInput | ( |  | ) |

| Set the Input of a filter.

void vtkImageToImageFilter::SetBypass | ( | int |  | ) | `[inline]`

| Obsolete feature - do not use. Definition at line 67 of file vtkImageToImageFilter.h.

void vtkImageToImageFilter::BypassOn | ( |  | ) | `[inline]`

| Obsolete feature - do not use. Definition at line 68 of file vtkImageToImageFilter.h.

void vtkImageToImageFilter::BypassOff | ( |  | ) | `[inline]`

| Obsolete feature - do not use. Definition at line 69 of file vtkImageToImageFilter.h.

virtual int vtkImageToImageFilter::GetBypass | ( |  | ) | `[virtual]`

| Obsolete feature - do not use.

virtual void vtkImageToImageFilter::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | threadId
| ) | `[virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageButterworthHighPass, vtkImageButterworthLowPass, vtkImageCast, vtkImageConstantPad, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageConvolve, vtkImageDilateErode3D, vtkImageDivergence, vtkImageEuclideanToPolar, vtkImageExtractComponents, vtkImageFFT, vtkImageFourierCenter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageHSVToRGB, vtkImageHybridMedian2D, vtkImageIdealHighPass, vtkImageIdealLowPass, vtkImageLaplacian, vtkImageLogarithmicScale, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToWindowLevelColors, vtkImageMaskBits, vtkImageMedian3D, vtkImageMirrorPad, vtkImageNormalize, vtkImageRange3D, vtkImageReslice, vtkImageRFFT, vtkImageRGBToHSV, vtkImageShiftScale, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSobel2D, vtkImageSobel3D, vtkImageStencil, vtkImageThreshold, vtkImageVariance3D, and vtkImageWrapPad.

virtual void vtkImageToImageFilter::SetNumberOfThreads | ( | int |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

virtual int vtkImageToImageFilter::GetNumberOfThreads | ( |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

void vtkImageToImageFilter::SetInputMemoryLimit | ( | int |  | ) | `[inline]`

| Definition at line 89 of file vtkImageToImageFilter.h.

long vtkImageToImageFilter::GetInputMemoryLimit | ( |  | ) | `[inline]`

| Definition at line 91 of file vtkImageToImageFilter.h.

virtual int vtkImageToImageFilter::SplitExtent | ( | int | splitExt[6],
|  | int | startExt[6],
|  | int | num,
|  | int | total
| ) | `[virtual]`

| Putting this here until I merge graphics and imaging streaming. Reimplemented in vtkImageEuclideanDistance, vtkImageFFT, and vtkImageRFFT.

void vtkImageToImageFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkExtractVOI, vtkImageAccumulate, vtkImageCast, vtkImageChangeInformation, vtkImageClip, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageGradient, vtkImageGradientMagnitude, vtkImageIterateFilter, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToWindowLevelColors, vtkImageMedian3D, vtkImageNormalize, vtkImagePadFilter, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, and vtkSweptSurface. Referenced by vtkSweptSurface::ExecuteInformation(), vtkImageVariance3D::ExecuteInformation(), vtkImageTranslateExtent::ExecuteInformation(), vtkImageThreshold::ExecuteInformation(), vtkImageStencil::ExecuteInformation(), vtkImageSobel3D::ExecuteInformation(), vtkImageSobel2D::ExecuteInformation(), vtkImageShrink3D::ExecuteInformation(), vtkImageShiftScale::ExecuteInformation(), vtkImageRange3D::ExecuteInformation(), vtkImageQuantizeRGBToIndex::ExecuteInformation(), vtkImagePadFilter::ExecuteInformation(), vtkImageNormalize::ExecuteInformation(), vtkImageMapToColors::ExecuteInformation(), vtkImageMagnitude::ExecuteInformation(), vtkImageMagnify::ExecuteInformation(), vtkImageLuminance::ExecuteInformation(), vtkImageGradientMagnitude::ExecuteInformation(), vtkImageGradient::ExecuteInformation(), vtkImageExtractComponents::ExecuteInformation(), vtkImageDivergence::ExecuteInformation(), vtkImageClip::ExecuteInformation(), vtkImageChangeInformation::ExecuteInformation(), vtkImageCast::ExecuteInformation(), vtkImageAccumulate::ExecuteInformation(), and vtkExtractVOI::ExecuteInformation().

virtual void vtkImageToImageFilter::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented in vtkExtractVOI, vtkImageAccumulate, vtkImageCast, vtkImageChangeInformation, vtkImageClip, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageExtractComponents, vtkImageFFT, vtkImageFlip, vtkImageGradient, vtkImageGradientMagnitude, vtkImageIterateFilter, vtkImageLuminance, vtkImageMagnify, vtkImageMagnitude, vtkImageMapToColors, vtkImageMapToWindowLevelColors, vtkImageMedian3D, vtkImageNormalize, vtkImagePadFilter, vtkImageQuantizeRGBToIndex, vtkImageRange3D, vtkImageResample, vtkImageReslice, vtkImageRFFT, vtkImageSeparableConvolution, vtkImageShiftScale, vtkImageShrink3D, vtkImageSobel2D, vtkImageSobel3D, vtkImageSpatialFilter, vtkImageStencil, vtkImageThreshold, vtkImageTranslateExtent, vtkImageVariance3D, and vtkSweptSurface.

void vtkImageToImageFilter::ExecuteData | ( | vtkDataObject * | output | ) | `[protected]`

| Reimplemented in vtkImageInPlaceFilter, vtkExtractVOI, vtkImageAccumulate, vtkImageChangeInformation, vtkImageClip, vtkImageCursor3D, vtkImageIslandRemoval2D, vtkImageIterateFilter, vtkImageMapToColors, vtkImageMapToWindowLevelColors, vtkImageMedian3D, vtkImageQuantizeRGBToIndex, vtkImageSeedConnectivity, vtkImageTranslateExtent, and vtkSweptSurface.

virtual vtkImageData* vtkImageToImageFilter::AllocateOutputData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageSource.

void vtkImageToImageFilter::MultiThread | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected]`

| Referenced by vtkImageSkeleton2D::IterativeExecuteData(), vtkImageRFFT::IterativeExecuteData(), vtkImageFourierCenter::IterativeExecuteData(), and vtkImageFFT::IterativeExecuteData().

void vtkImageToImageFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource. Reimplemented in vtkImageIterateFilter, vtkImageReslice, and vtkImageSeedConnectivity.

virtual void vtkImageToImageFilter::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented in vtkExtractVOI, vtkImageAccumulate, vtkImageChangeInformation, vtkImageCityBlockDistance, vtkImageDivergence, vtkImageEuclideanDistance, vtkImageFFT, vtkImageFourierCenter, vtkImageGaussianSmooth, vtkImageGradient, vtkImageGradientMagnitude, vtkImageIterateFilter, vtkImageLaplacian, vtkImageMagnify, vtkImageMirrorPad, vtkImagePadFilter, vtkImageQuantizeRGBToIndex, vtkImageReslice, vtkImageRFFT, vtkImageSeparableConvolution, vtkImageShrink3D, vtkImageSkeleton2D, vtkImageSpatialFilter, vtkImageTranslateExtent, vtkImageWrapPad, and vtkSweptSurface.

virtual void vtkImageToImageFilter::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Member Data Documentation

vtkMultiThreader* vtkImageToImageFilter::Threader`[protected]`

| Definition at line 104 of file vtkImageToImageFilter.h.

int vtkImageToImageFilter::Bypass`[protected]`

| Definition at line 105 of file vtkImageToImageFilter.h.

int vtkImageToImageFilter::BypassWasOn`[protected]`

| Definition at line 106 of file vtkImageToImageFilter.h.

int vtkImageToImageFilter::NumberOfThreads`[protected]`

| Definition at line 107 of file vtkImageToImageFilter.h.

char* vtkImageToImageFilter::InputScalarsSelection`[protected]`

| Definition at line 127 of file vtkImageToImageFilter.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImageToImageFilter.h